
Redmine - Defect #15792

problematic Gantt Chinese output

2014-01-02 07:09 - Yi Ting Hsueh

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.4.1

Description

Hi, all

I have trouble that Chinese characters cannot shown normally when exporting Gantt Chart in both PDF and PNG format. The

database is set with utf8, and I made sure that I load redmine default data in zh-TW.

I searched the past issue lists and assumed it could be a font problem. But modifying "config/configuration.yml, rmagick_font_path"

doesn't help. I have no idea what else can be done.

OS: Ubuntu 12.04.1

database: Mysql 14.14 Distrib 5.5.34 for debian-linux-gnu

Ruby: 2.1.0

Rails: 3.2.15

Redmine: 2.4.1

Please kindly help me to figure a way out. Thank you all very much!!

History

#1 - 2014-01-06 06:07 - Toshi MARUYAMA

- Tracker changed from Patch to Defect

- Subject changed from Redmine2.4.1 to problematic Gantt Chinese output

- Category set to Gantt

- Affected version (unused) set to 2.4.1

- Affected version set to 2.4.1

#2 - 2014-01-06 06:11 - Toshi MARUYAMA

- Status changed from New to Needs feedback

PDF

In CJK (Chinese/Korean/Japanese) locales, pdf uses non-embedded font,

in non CJK locales, pdf uses embedded font.

What locale do you use?

PNG

What font do you use?

#3 - 2014-10-18 14:32 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

No feedback.
